package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.soy.renderer.JsExpression;
import com.atlassian.bitbucket.nav.NavBuilder;

public class AdminPermissionsNavFunction extends BaseNavFunction {

    public AdminPermissionsNavFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_admin_global_perms");
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return new JsNavBuilder().admin().callMethod("permissions");
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return navBuilder.admin().permissions();
    }

}
